RtpBundleCxx Class Reference

## Public Member Functions

| RtpBundleCxx (const RtpBundleCxx &)=delete
| RtpBundleCxx (RtpBundleCxx &&)=delete
int | getMidId () const
void | setMidId (int id)
void | addFecSession (const RtpSession *sourceSession, RtpSession *fecSession)
void | addSession (const std::string &mid, RtpSession *session)
void | removeSession (const std::string &mid)
void | removeSession (RtpSession *session)
void | clear ()
RtpSession * | getPrimarySession () const
void | setPrimarySession (const std::string &mid)
const std::string & | getSessionMid (RtpSession *session) const
bool | dispatch (bool isRtp, mblk_t *m)
bool | updateMid (const std::string &mid, const uint32_t ssrc, const uint16_t sequenceNumber, bool isRtp)
RtpSession * | checkForSession (const mblk_t *m, bool isRtp)

The documentation for this class was generated from the following file:

- rtpbundle.h